Subject: CAP: base

From: Rob Earhart <[email-masked]>
Date: Wed, 17 Mar 1999 11:05:44 -0500 (EST)

Hey, I mentioned to people in the working group that I'd post this,
so... the protocol I proposed for APPLCORE (a group talking about creating
a core protocol upon which to base new application protocols) is
documented in draft-earhart-acp-spec-00.txt.

  I wrote it to take a position in the APPLCORE discussion, illustrating
my idea of a good protocol foundation as well as showing that a core
application protocol is possible and can be done in a relatively clean and
elegant way.  The draft has a couple of typos, and one outstanding
technical problem (I forgot to deal with sizes of numbers), but other than
that, people who've looked at it seem to be fairly happy with it.

  I'm not sure at all if this will eventually become a standard, and I
need to talk to more people about it (I'm certainly open to changing it),
but, hey, it's there, and it might be useful as a foundation for CAP; 
it's far more productive to be arguing about the semantics of CAP than its
syntax. 

  )Rob